Court
List courts for facility
Retrieve courts for a facility accessible to the authenticated external service.
Path Parameters
facilityId*string
Facility ID (UUID).
Format
uuidQuery Parameters
offset?integer
Number of items to skip.
Default
0Range
0 <= valuelimit?integer
Maximum number of items to return.
Default
50Range
1 <= value <= 100Response
200Error Responses
400
invalid_schema
Request validation failed.
401
missing_api_token
No authentication token provided.
401
invalid_api_token
Invalid or expired authentication token.
403
scope_permission_denied
Insufficient permissions for this operation.
403
organization_access_denied
Service is not granted access to the organization.
404
facility_not_found
Facility was not found.
curl -X GET "https://dev.wingfield.systems/api/v1/facilities/497f6eca-6276-4993-bfeb-53cbbbba6f08/courts"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"facilityId": "d7244f5b-52c1-4d27-b4f5-43b1113fc304",
"facilityName": "string",
"systemInstalled": true,
"mapping": {
"externalCourtId": "string",
"externalCourtName": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}
}
],
"totalCount": 0
}{
"error": {
"type": "invalid_schema",
"message": "string",
"issues": [
{}
]
}
}{
"error": {
"type": "missing_api_token",
"message": "string"
}
}{
"error": {
"type": "scope_permission_denied",
"message": "string"
}
}{
"error": {
"type": "facility_not_found",
"message": "string"
}
}